# Uses of Class
org.eclipse.swt.events.ExpandEvent

Packages that use ExpandEvent
Package
Description
org.eclipse.swt.events
SWT typed listener support.

## Uses of ExpandEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type ExpandEvent
Modifier and Type
Method
Description
`void`
ExpandAdapter.`itemCollapsed(ExpandEvent e)`
Sent when an item is collapsed.
`void`
ExpandListener.`itemCollapsed(ExpandEvent e)`
Sent when an item is collapsed.
`void`
ExpandAdapter.`itemExpanded(ExpandEvent e)`
Sent when an item is expanded.
`void`
ExpandListener.`itemExpanded(ExpandEvent e)`
Sent when an item is expanded.
Method parameters in org.eclipse.swt.events with type arguments of type ExpandEvent
Modifier and Type
Method
Description
`static ExpandListener`
ExpandListener.`itemCollapsedAdapter(Consumer<ExpandEvent> c)`
Static helper method to create a `ExpandListener` for the `ExpandListener.itemCollapsed(ExpandEvent e)`) method, given a lambda expression or a method reference.
`static ExpandListener`
ExpandListener.`itemExpandedAdapter(Consumer<ExpandEvent> c)`
Static helper method to create a `ExpandListener` for the `ExpandListener.itemExpanded(ExpandEvent e)`) method, given a lambda expression or a method reference.